<?php
/**
*@desc This class adds new functions
* @author Mohammad Sajjad Hossain
*/
class MY_URI extends CI_URI
{
    function My_URI()
    {
        parent::__construct();
    }

    /**
     * @author Jilani Jidni
     * Redirect user to the secure channel
     *
     * @access public
     * @return string
     */
    function secure_redirect_uri()
    {
        $uri_string = $this->router->_get_uri_string();
        if($uri_string)
        {
            $uri_string = substr($uri_string,1);
        }
        return $uri_string;
    }
}
?>
